Quantcast

light.exe : error LGHT0350

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

light.exe : error LGHT0350

Maxim Kopeyka
Hi All,

light.exe returns this error message:
error LGHT0350 : The package being validated requires a higher version
of Windows Installer than is installed on this machine. Validation
cannot continue.

However I have a latest version of installer:
Windows ® Installer. V 5.0.7601.17514

What should I do to fix this?

P.S. I use Windows 7 x64 + SP1

--
Kind Regards,
Maxim Kopeyka


------------------------------------------------------------------------------
Virtualization & Cloud Management Using Capacity Planning
Cloud computing makes use of virtualization - but cloud computing
also focuses on allowing computing to be delivered as a service.
http://www.accelacomm.com/jaw/sfnl/114/51521223/
_______________________________________________
WiX-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/wix-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: light.exe : error LGHT0350

Ian Williams
Just a guess, but what is the Package/@InstallerVersion?  That attribute should be the minimum Windows Installer number required - Major*100 + Minor.

-----Original Message-----
From: Maxim Kopeyka [mailto:[hidden email]]
Sent: Friday, February 10, 2012 8:52 AM
To: [hidden email]
Subject: [WiX-users] light.exe : error LGHT0350

Hi All,

light.exe returns this error message:
error LGHT0350 : The package being validated requires a higher version of Windows Installer than is installed on this machine. Validation cannot continue.

However I have a latest version of installer:
Windows (r) Installer. V 5.0.7601.17514

What should I do to fix this?

P.S. I use Windows 7 x64 + SP1

--
Kind Regards,
Maxim Kopeyka


------------------------------------------------------------------------------
Virtualization & Cloud Management Using Capacity Planning
Cloud computing makes use of virtualization - but cloud computing
also focuses on allowing computing to be delivered as a service.
http://www.accelacomm.com/jaw/sfnl/114/51521223/
_______________________________________________
WiX-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/wix-users






------------------------------------------------------------------------------
Virtualization & Cloud Management Using Capacity Planning
Cloud computing makes use of virtualization - but cloud computing
also focuses on allowing computing to be delivered as a service.
http://www.accelacomm.com/jaw/sfnl/114/51521223/
_______________________________________________
WiX-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/wix-users
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: light.exe : error LGHT0350

numberer6
This post has NOT been accepted by the mailing list yet.
In reply to this post by Maxim Kopeyka
I encountered this same error when building the latest MIT Kerberos on Windows. For me, the issue was this line in the config.wxi file:
    <?define InstallerVersion="450"?>

I had version 3.5.2519.0 installed, which is earler than 450. Changing the
InstallerVersion=300, which is what was used in earlier versions of the
project I was compiling solved this build break.

The other option, as other posts indicate, is to update light.exe. In our case, to maintain compatibility existing build infrastructure, we must stay pinned to the older version of WIX.

Regards,
Adam Bernstein
Staff Engineer
Cloud Identity & Directory Services
VMware Inc.
Loading...